> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Chatwoot : Store new settings for Chatwoot extension

# Chatwoot Store settings

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml post /apps/{appId}/extensions/chatwoot/v1/settings
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/extensions/chatwoot/v1/settings:
    post:
      tags:
        - Extensions
      summary: Chatwoot Store settings
      description: 'Chatwoot : Store new settings for Chatwoot extension'
      operationId: store-settings-chatwoot
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/chatwootRequestSchema'
      responses:
        '200':
          description: Store Chatwoot Settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/chatwootSchema'
                    type: object
                type: object
              example:
                data:
                  statusCode: 200
                  success: true
                  responseTime: 3.061743974685669
                  body:
                    data:
                      settings:
                        chatwootAccessToken: EgsXaxRZFUy4tPWDjwmyZvYk
                        customerSupportUid: cometchat-uid-1
                        chatwootInboxId: '12112'
                        chatwootAccountId: '42113'
                        appId: 212663ddb7a2b1b
                        webhookURL: >-
                          https://chatwoot-eu.cometchat.io/v1/reply?token=K1b_mZsa31lTuNQqbTo7xtRHY0y7UUqXfhsUJltruwM=.eyJhcHBJZCI6IjIxMAY2M2RkYjdhMmE2NmIifQ==
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    chatwootRequestSchema:
      properties:
        settings:
          required:
            - chatwootAccessToken
            - chatwootAccountId
            - chatwootInboxId
            - customerSupportUid
          properties:
            chatwootAccessToken:
              description: >-
                For connecting and exchanging messages between CometChat and
                chatwoot
              type: string
              default: EgsDdxRZFUy4tPWDjwmyZaYk
            chatwootAccountId:
              description: Obtained from Chatwoot profile settings
              type: string
              default: '12123'
            chatwootInboxId:
              description: Obtained from Chatwoot inbox settings
              type: string
              default: '12345'
            customerSupportUid:
              description: Customer support uid that you have selected
              type: string
              default: cometchat-uid-2
          type: object
      type: object
    chatwootSchema:
      properties:
        statusCode:
          type: integer
        success:
          type: boolean
        responseTime:
          type: number
        body:
          properties:
            data:
              properties:
                settings:
                  properties:
                    appId:
                      type: string
                    customerSupportUid:
                      type: string
                    chatwootAccountId:
                      type: string
                    chatwootInboxId:
                      type: string
                    chatwootAccessToken:
                      type: string
                    webhookURL:
                      type: string
                  type: object
              type: object
          type: object
      type: object

````